/*主版面+區塊一*/
.main-block{
  font-family: "Roboto", "Microsoft JhengHei", sans-serif;
  max-width: 1400px;
  margin: 0 auto;
  padding: 20px;
}
.main-block p{
  margin: 10px auto;
  color: #333;
}

.banner {
	width: 100%;
    max-width: 1400px; 
    margin: 0 auto; /* 讓 banner 置中 */
  position: relative;
}
.banner img {
  display: block;
  width: 100%;
	aspect-ratio: 14 / 4; 
    object-fit: cover;
}
.banner-img-top {
  position: absolute;
  top: 0;
  left: 0;
  animation: fade 16s ease-in-out infinite;
}
@keyframes fade {
  0%, 40% { opacity: 1; }  
  50%, 90% { opacity: 0; }  
  100% { opacity: 1; }      
}
/*區塊二*/
/*價格*/
.text-box{
  padding: 3% 5% 1% 5%;
}
.text-box h1{
  color: #333;
  font-size: 28px;
  line-height: 1.4;
  margin-top: 0;
}
.text-box h3{
  color: #727171;
  font-size: 20px;
  line-height: 1.4;
  margin-top: -20px;
  font-weight: 600;
}
/*圓角矩形*/
.button1,.period{
  display: inline-block;
  padding: 3px 15px;
  border-radius: 20px;
}
.button1{
  background-color: #fff;
  color: #8b0000;
  font-size: 16px;
}
.line1{
  border: none;
  height: 1px;
  width: 100%;
  background-color: #ccc;
  margin-left: 0;
}
/*定價*/
.price-box{
  display:flex;
  gap:30px;
  padding-top:15px;
}
.text-box > p{
  padding-top:15px;
}
.price-row{
  display: flex;
  align-items: center; 
  gap:10px;
}
.period{
  background-color: #eec52b;
  font-size: 16px;
  font-weight: regular;
}
.price-red {
  display: inline-flex; 
  align-items: baseline; 
  color:#ff0000;
  font-weight: bold;
  line-height: 1;
}
.price-red span:first-child {
  font-size: 16px;  
}

.price-red span:last-child {
  font-size: 36px; 
}
/*人數*/
.per-room{
  font-size: 16px;
  align-self: flex-end; 
  margin-bottom: 2px;
  margin-left: -5px;
}
small{
  font-size: 14px;
}
/*說明*/
.notes-section{
  padding: 15px;
  color: #333;
  line-height: 1.5;
  padding: 0 5% 3% 5%;
}
.notes-section ul {
  list-style-type: disc; 
  padding-left: 20px;
}
.notes-section li {
  margin-bottom: 10px;
  font-size: 16px;
}
.sub-note {
  list-style-type: none; 
  color: #804040;
  font-size: 14px;
  padding-left: 5px;
}
.fine-print {
  margin-top: 10px; 
  padding-top: 10px;
  line-height: 1.5;
}
.fine-print p {
  font-size: 14px;
  color: #6C6C6C;      
  margin-bottom: 2px;
}
/*圖片*/
.gallery-container{
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 10px;
}
.gallery-container img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
  border-radius: 8px;
  aspect-ratio: 4 / 3;
  cursor: zoom-in;
  display: block;
}

.gallery-link {
    display: block;
    width: 100%;
    height: 100%;
}
.item-1 { grid-column: span 3; }
.item-2 { grid-column: span 3; }
.item-3 { grid-column: span 2; }
.item-4 { grid-column: span 2; }
.item-5 { grid-column: span 2; }

/*燈箱*/
.lightbox {
  display: none; 
  position: fixed;
  z-index: 9999;        
  top: 0; left: 0;
  width: 100%; height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  justify-content: center;
  align-items: center;
}
.lightbox img {
  max-width: 90%;       
  max-height: 80%;
  border: 5px solid white;
}
  .close-btn {
  position: absolute;
  top: 20px; right: 40px;
  color: white;
  font-size: 50px;
  cursor: pointer;
}